# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`nscd`](#nscd): Class to manage nscd, Linuxs Name Service Cache Daemon.

Recommend reading the man page, NSCD.CONF(5). This module allows for
parameterization of all options specified in the man page.

The module assumes that you want to set enable-cache to true for each of the
services (passwd, group, hosts, and services). If this is not the case, you can
disable the cache on a per service basis.

To use this module simply `include ::nscd`

Compatibility
-------------
This module has been tested to work on the following systems:
  * Amazon Linux 2015
  * Amazon Linux 2016
  * Amazon Linux 2017
  * Debian 6
  * EL 5
  * EL 6
  * EL 7
  * EL 8
  * EL 9
  * Solaris 10
  * Suse 10
  * Suse 11
  * Suse 12
  * Suse 15
  * OpenSuse 13.1
  * Ubuntu 12.04 LTS
  * Ubuntu 14.04 LTS
  * Ubuntu 16.04 LTS
  * Ubuntu 18.04 LTS
  * Ubuntu 20.04 LTS
  * Ubuntu 22.04 LTS

Compatibility with Dell Authentication Services
-----------------------------------------------
When using nscd in combination with Dell Authentication Services (QAS/VAS) [1]
it is recommended to turn off caching of passwd and groups.

<pre>
nscd::passwd_enable_cache: 'no'
nscd::group_enable_cache:  'no'
</pre>

[1] http://software.dell.com/products/authentication-services/

## Classes

### <a name="nscd"></a>`nscd`

== Class: nscd

#### Parameters

The following parameters are available in the `nscd` class:

* [`audit_user_check_files`](#-nscd--audit_user_check_files)
* [`audit_user_enable_cache`](#-nscd--audit_user_enable_cache)
* [`audit_user_keep_hot_count`](#-nscd--audit_user_keep_hot_count)
* [`audit_user_negative_time_to_live`](#-nscd--audit_user_negative_time_to_live)
* [`audit_user_positive_time_to_live`](#-nscd--audit_user_positive_time_to_live)
* [`auth_attr_check_files`](#-nscd--auth_attr_check_files)
* [`auth_attr_enable_cache`](#-nscd--auth_attr_enable_cache)
* [`auth_attr_keep_hot_count`](#-nscd--auth_attr_keep_hot_count)
* [`auth_attr_negative_time_to_live`](#-nscd--auth_attr_negative_time_to_live)
* [`auth_attr_positive_time_to_live`](#-nscd--auth_attr_positive_time_to_live)
* [`bootparams_check_files`](#-nscd--bootparams_check_files)
* [`bootparams_enable_cache`](#-nscd--bootparams_enable_cache)
* [`bootparams_keep_hot_count`](#-nscd--bootparams_keep_hot_count)
* [`bootparams_negative_time_to_live`](#-nscd--bootparams_negative_time_to_live)
* [`bootparams_positive_time_to_live`](#-nscd--bootparams_positive_time_to_live)
* [`config_group`](#-nscd--config_group)
* [`config_mode`](#-nscd--config_mode)
* [`config_path`](#-nscd--config_path)
* [`config_owner`](#-nscd--config_owner)
* [`debug_level`](#-nscd--debug_level)
* [`enable_db_audit_user`](#-nscd--enable_db_audit_user)
* [`enable_db_auth_attr`](#-nscd--enable_db_auth_attr)
* [`enable_db_bootparams`](#-nscd--enable_db_bootparams)
* [`enable_db_ethers`](#-nscd--enable_db_ethers)
* [`enable_db_exec_attr`](#-nscd--enable_db_exec_attr)
* [`enable_db_group`](#-nscd--enable_db_group)
* [`enable_db_hosts`](#-nscd--enable_db_hosts)
* [`enable_db_ipnodes`](#-nscd--enable_db_ipnodes)
* [`enable_db_netgroup`](#-nscd--enable_db_netgroup)
* [`enable_db_netmasks`](#-nscd--enable_db_netmasks)
* [`enable_db_networks`](#-nscd--enable_db_networks)
* [`enable_db_passwd`](#-nscd--enable_db_passwd)
* [`enable_db_printers`](#-nscd--enable_db_printers)
* [`enable_db_prof_attr`](#-nscd--enable_db_prof_attr)
* [`enable_db_project`](#-nscd--enable_db_project)
* [`enable_db_protocols`](#-nscd--enable_db_protocols)
* [`enable_db_rpc`](#-nscd--enable_db_rpc)
* [`enable_db_services`](#-nscd--enable_db_services)
* [`enable_db_tnrhdb`](#-nscd--enable_db_tnrhdb)
* [`enable_db_tnrhtp`](#-nscd--enable_db_tnrhtp)
* [`enable_db_user_attr`](#-nscd--enable_db_user_attr)
* [`enable_opt_auto_propagate`](#-nscd--enable_opt_auto_propagate)
* [`ethers_check_files`](#-nscd--ethers_check_files)
* [`ethers_enable_cache`](#-nscd--ethers_enable_cache)
* [`ethers_keep_hot_count`](#-nscd--ethers_keep_hot_count)
* [`ethers_negative_time_to_live`](#-nscd--ethers_negative_time_to_live)
* [`ethers_positive_time_to_live`](#-nscd--ethers_positive_time_to_live)
* [`exec_attr_check_files`](#-nscd--exec_attr_check_files)
* [`exec_attr_enable_cache`](#-nscd--exec_attr_enable_cache)
* [`exec_attr_keep_hot_count`](#-nscd--exec_attr_keep_hot_count)
* [`exec_attr_negative_time_to_live`](#-nscd--exec_attr_negative_time_to_live)
* [`exec_attr_positive_time_to_live`](#-nscd--exec_attr_positive_time_to_live)
* [`group_auto_propagate`](#-nscd--group_auto_propagate)
* [`group_check_files`](#-nscd--group_check_files)
* [`group_enable_cache`](#-nscd--group_enable_cache)
* [`group_keep_hot_count`](#-nscd--group_keep_hot_count)
* [`group_max_db_size`](#-nscd--group_max_db_size)
* [`group_negative_time_to_live`](#-nscd--group_negative_time_to_live)
* [`group_persistent`](#-nscd--group_persistent)
* [`group_positive_time_to_live`](#-nscd--group_positive_time_to_live)
* [`group_shared`](#-nscd--group_shared)
* [`group_suggested_size`](#-nscd--group_suggested_size)
* [`hosts_check_files`](#-nscd--hosts_check_files)
* [`hosts_enable_cache`](#-nscd--hosts_enable_cache)
* [`hosts_keep_hot_count`](#-nscd--hosts_keep_hot_count)
* [`hosts_max_db_size`](#-nscd--hosts_max_db_size)
* [`hosts_negative_time_to_live`](#-nscd--hosts_negative_time_to_live)
* [`hosts_persistent`](#-nscd--hosts_persistent)
* [`hosts_positive_time_to_live`](#-nscd--hosts_positive_time_to_live)
* [`hosts_shared`](#-nscd--hosts_shared)
* [`hosts_suggested_size`](#-nscd--hosts_suggested_size)
* [`ipnodes_check_files`](#-nscd--ipnodes_check_files)
* [`ipnodes_enable_cache`](#-nscd--ipnodes_enable_cache)
* [`ipnodes_keep_hot_count`](#-nscd--ipnodes_keep_hot_count)
* [`ipnodes_negative_time_to_live`](#-nscd--ipnodes_negative_time_to_live)
* [`ipnodes_positive_time_to_live`](#-nscd--ipnodes_positive_time_to_live)
* [`logfile`](#-nscd--logfile)
* [`max_threads`](#-nscd--max_threads)
* [`netgroup_check_files`](#-nscd--netgroup_check_files)
* [`netgroup_enable_cache`](#-nscd--netgroup_enable_cache)
* [`netgroup_max_db_size`](#-nscd--netgroup_max_db_size)
* [`netgroup_negative_time_to_live`](#-nscd--netgroup_negative_time_to_live)
* [`netgroup_persistent`](#-nscd--netgroup_persistent)
* [`netgroup_positive_time_to_live`](#-nscd--netgroup_positive_time_to_live)
* [`netgroup_shared`](#-nscd--netgroup_shared)
* [`netgroup_suggested_size`](#-nscd--netgroup_suggested_size)
* [`netmasks_check_files`](#-nscd--netmasks_check_files)
* [`netmasks_enable_cache`](#-nscd--netmasks_enable_cache)
* [`netmasks_keep_hot_count`](#-nscd--netmasks_keep_hot_count)
* [`netmasks_negative_time_to_live`](#-nscd--netmasks_negative_time_to_live)
* [`netmasks_positive_time_to_live`](#-nscd--netmasks_positive_time_to_live)
* [`networks_check_files`](#-nscd--networks_check_files)
* [`networks_enable_cache`](#-nscd--networks_enable_cache)
* [`networks_keep_hot_count`](#-nscd--networks_keep_hot_count)
* [`networks_negative_time_to_live`](#-nscd--networks_negative_time_to_live)
* [`networks_positive_time_to_live`](#-nscd--networks_positive_time_to_live)
* [`package_adminfile`](#-nscd--package_adminfile)
* [`package_ensure`](#-nscd--package_ensure)
* [`package_name`](#-nscd--package_name)
* [`package_source`](#-nscd--package_source)
* [`paranoia`](#-nscd--paranoia)
* [`passwd_auto_propagate`](#-nscd--passwd_auto_propagate)
* [`passwd_check_files`](#-nscd--passwd_check_files)
* [`passwd_enable_cache`](#-nscd--passwd_enable_cache)
* [`passwd_keep_hot_count`](#-nscd--passwd_keep_hot_count)
* [`passwd_max_db_size`](#-nscd--passwd_max_db_size)
* [`passwd_negative_time_to_live`](#-nscd--passwd_negative_time_to_live)
* [`passwd_persistent`](#-nscd--passwd_persistent)
* [`passwd_positive_time_to_live`](#-nscd--passwd_positive_time_to_live)
* [`passwd_shared`](#-nscd--passwd_shared)
* [`passwd_suggested_size`](#-nscd--passwd_suggested_size)
* [`printers_check_files`](#-nscd--printers_check_files)
* [`printers_enable_cache`](#-nscd--printers_enable_cache)
* [`printers_keep_hot_count`](#-nscd--printers_keep_hot_count)
* [`printers_negative_time_to_live`](#-nscd--printers_negative_time_to_live)
* [`printers_positive_time_to_live`](#-nscd--printers_positive_time_to_live)
* [`prof_attr_check_files`](#-nscd--prof_attr_check_files)
* [`prof_attr_enable_cache`](#-nscd--prof_attr_enable_cache)
* [`prof_attr_keep_hot_count`](#-nscd--prof_attr_keep_hot_count)
* [`prof_attr_negative_time_to_live`](#-nscd--prof_attr_negative_time_to_live)
* [`prof_attr_positive_time_to_live`](#-nscd--prof_attr_positive_time_to_live)
* [`project_check_files`](#-nscd--project_check_files)
* [`project_enable_cache`](#-nscd--project_enable_cache)
* [`project_keep_hot_count`](#-nscd--project_keep_hot_count)
* [`project_negative_time_to_live`](#-nscd--project_negative_time_to_live)
* [`project_positive_time_to_live`](#-nscd--project_positive_time_to_live)
* [`protocols_check_files`](#-nscd--protocols_check_files)
* [`protocols_enable_cache`](#-nscd--protocols_enable_cache)
* [`protocols_keep_hot_count`](#-nscd--protocols_keep_hot_count)
* [`protocols_negative_time_to_live`](#-nscd--protocols_negative_time_to_live)
* [`protocols_positive_time_to_live`](#-nscd--protocols_positive_time_to_live)
* [`reload_count`](#-nscd--reload_count)
* [`restart_interval`](#-nscd--restart_interval)
* [`rpc_check_files`](#-nscd--rpc_check_files)
* [`rpc_enable_cache`](#-nscd--rpc_enable_cache)
* [`rpc_keep_hot_count`](#-nscd--rpc_keep_hot_count)
* [`rpc_negative_time_to_live`](#-nscd--rpc_negative_time_to_live)
* [`rpc_positive_time_to_live`](#-nscd--rpc_positive_time_to_live)
* [`server_user`](#-nscd--server_user)
* [`service_enable`](#-nscd--service_enable)
* [`service_ensure`](#-nscd--service_ensure)
* [`service_name`](#-nscd--service_name)
* [`service_provider`](#-nscd--service_provider)
* [`services_check_files`](#-nscd--services_check_files)
* [`services_enable_cache`](#-nscd--services_enable_cache)
* [`services_keep_hot_count`](#-nscd--services_keep_hot_count)
* [`services_max_db_size`](#-nscd--services_max_db_size)
* [`services_negative_time_to_live`](#-nscd--services_negative_time_to_live)
* [`services_persistent`](#-nscd--services_persistent)
* [`services_positive_time_to_live`](#-nscd--services_positive_time_to_live)
* [`services_shared`](#-nscd--services_shared)
* [`services_suggested_size`](#-nscd--services_suggested_size)
* [`stat_user`](#-nscd--stat_user)
* [`threads`](#-nscd--threads)
* [`tnrhdb_check_files`](#-nscd--tnrhdb_check_files)
* [`tnrhdb_enable_cache`](#-nscd--tnrhdb_enable_cache)
* [`tnrhdb_keep_hot_count`](#-nscd--tnrhdb_keep_hot_count)
* [`tnrhdb_negative_time_to_live`](#-nscd--tnrhdb_negative_time_to_live)
* [`tnrhdb_positive_time_to_live`](#-nscd--tnrhdb_positive_time_to_live)
* [`tnrhtp_check_files`](#-nscd--tnrhtp_check_files)
* [`tnrhtp_enable_cache`](#-nscd--tnrhtp_enable_cache)
* [`tnrhtp_keep_hot_count`](#-nscd--tnrhtp_keep_hot_count)
* [`tnrhtp_negative_time_to_live`](#-nscd--tnrhtp_negative_time_to_live)
* [`tnrhtp_positive_time_to_live`](#-nscd--tnrhtp_positive_time_to_live)
* [`user_attr_check_files`](#-nscd--user_attr_check_files)
* [`user_attr_enable_cache`](#-nscd--user_attr_enable_cache)
* [`user_attr_keep_hot_count`](#-nscd--user_attr_keep_hot_count)
* [`user_attr_negative_time_to_live`](#-nscd--user_attr_negative_time_to_live)
* [`user_attr_positive_time_to_live`](#-nscd--user_attr_positive_time_to_live)

##### <a name="-nscd--audit_user_check_files"></a>`audit_user_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files audit_user in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--audit_user_enable_cache"></a>`audit_user_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache audit_user in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--audit_user_keep_hot_count"></a>`audit_user_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count audit_user in nscd.conf.

Default value: `2048`

##### <a name="-nscd--audit_user_negative_time_to_live"></a>`audit_user_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live audit_user in nscd.conf.

Default value: `20`

##### <a name="-nscd--audit_user_positive_time_to_live"></a>`audit_user_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live audit_user in nscd.conf.

Default value: `3600`

##### <a name="-nscd--auth_attr_check_files"></a>`auth_attr_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files auth_attr in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--auth_attr_enable_cache"></a>`auth_attr_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache auth_attr in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--auth_attr_keep_hot_count"></a>`auth_attr_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count auth_attr in nscd.conf.

Default value: `2048`

##### <a name="-nscd--auth_attr_negative_time_to_live"></a>`auth_attr_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live auth_attr in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--auth_attr_positive_time_to_live"></a>`auth_attr_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live auth_attr in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--bootparams_check_files"></a>`bootparams_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files bootparams in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--bootparams_enable_cache"></a>`bootparams_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache bootparams in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--bootparams_keep_hot_count"></a>`bootparams_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count bootparams in nscd.conf.

Default value: `2048`

##### <a name="-nscd--bootparams_negative_time_to_live"></a>`bootparams_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live bootparams in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--bootparams_positive_time_to_live"></a>`bootparams_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live bootparams in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--config_group"></a>`config_group`

Data type: `String[1]`

Group of nscd.conf.

Default value: `'root'`

##### <a name="-nscd--config_mode"></a>`config_mode`

Data type: `Stdlib::Filemode`

Mode of nscd.conf.

Default value: `'0644'`

##### <a name="-nscd--config_path"></a>`config_path`

Data type: `Stdlib::Absolutepath`

Path to nscd.conf.

Default value: `'/etc/nscd.conf'`

##### <a name="-nscd--config_owner"></a>`config_owner`

Data type: `String[1]`

Owner of nscd.conf.

Default value: `'root'`

##### <a name="-nscd--debug_level"></a>`debug_level`

Data type: `Integer`

Setting for debug-level in nscd.conf.  See nscd.conf(5).

Default value: `0`

##### <a name="-nscd--enable_db_audit_user"></a>`enable_db_audit_user`

Data type: `Boolean`

Settings for enable_db_audit_user in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_auth_attr"></a>`enable_db_auth_attr`

Data type: `Boolean`

Settings for enable_db_auth_attr in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_bootparams"></a>`enable_db_bootparams`

Data type: `Boolean`

Settings for enable_db_bootparams in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_ethers"></a>`enable_db_ethers`

Data type: `Boolean`

Settings for enable_db_ethers in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_exec_attr"></a>`enable_db_exec_attr`

Data type: `Boolean`

Settings for enable_db_exec_attr in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_group"></a>`enable_db_group`

Data type: `Boolean`

Switch to show group section in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_hosts"></a>`enable_db_hosts`

Data type: `Boolean`

Switch to show hosts section in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_ipnodes"></a>`enable_db_ipnodes`

Data type: `Boolean`

Settings for enable_db_ipnodes in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_netgroup"></a>`enable_db_netgroup`

Data type: `Boolean`

Switch to show netgroup section in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_netmasks"></a>`enable_db_netmasks`

Data type: `Boolean`

Settings for enable_db_netmasks in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_networks"></a>`enable_db_networks`

Data type: `Boolean`

Settings for enable_db_networks in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_passwd"></a>`enable_db_passwd`

Data type: `Boolean`

Switch to show passwd section in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_printers"></a>`enable_db_printers`

Data type: `Boolean`

Settings for enable_db_printers in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_prof_attr"></a>`enable_db_prof_attr`

Data type: `Boolean`

Settings for enable_db_prof_attr in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_project"></a>`enable_db_project`

Data type: `Boolean`

Settings for enable_db_project in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_protocols"></a>`enable_db_protocols`

Data type: `Boolean`

Settings for enable_db_protocols in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_rpc"></a>`enable_db_rpc`

Data type: `Boolean`

Settings for enable_db_rpc in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_services"></a>`enable_db_services`

Data type: `Boolean`

Switch to show services section in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_tnrhdb"></a>`enable_db_tnrhdb`

Data type: `Boolean`

Settings for enable_db_tnrhdb in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_tnrhtp"></a>`enable_db_tnrhtp`

Data type: `Boolean`

Settings for enable_db_tnrhtp in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_db_user_attr"></a>`enable_db_user_attr`

Data type: `Boolean`

Settings for enable_db_user_attr in nscd.conf.

Default value: `false`

##### <a name="-nscd--enable_opt_auto_propagate"></a>`enable_opt_auto_propagate`

Data type: `Boolean`

Settings for enable_opt_auto_propagate in nscd.conf.

Default value: `false`

##### <a name="-nscd--ethers_check_files"></a>`ethers_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files ethers in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--ethers_enable_cache"></a>`ethers_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache ethers in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--ethers_keep_hot_count"></a>`ethers_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count ethers in nscd.conf.

Default value: `2048`

##### <a name="-nscd--ethers_negative_time_to_live"></a>`ethers_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live ethers in nscd.conf.

Default value: `20`

##### <a name="-nscd--ethers_positive_time_to_live"></a>`ethers_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live ethers in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--exec_attr_check_files"></a>`exec_attr_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files exec_attr in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--exec_attr_enable_cache"></a>`exec_attr_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache exec_attr in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--exec_attr_keep_hot_count"></a>`exec_attr_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count exec_attr in nscd.conf.

Default value: `2048`

##### <a name="-nscd--exec_attr_negative_time_to_live"></a>`exec_attr_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live exec_attr in nscd.conf.

Default value: `20`

##### <a name="-nscd--exec_attr_positive_time_to_live"></a>`exec_attr_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live exec_attr in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--group_auto_propagate"></a>`group_auto_propagate`

Data type: `Enum['yes', 'no']`

Settings for auto-propagate group in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--group_check_files"></a>`group_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files group in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--group_enable_cache"></a>`group_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache netgroup in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--group_keep_hot_count"></a>`group_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count group in nscd.conf.

Default value: `2048`

##### <a name="-nscd--group_max_db_size"></a>`group_max_db_size`

Data type: `Integer`

Settings for max-db-size group in nscd.conf.

Default value: `33554432`

##### <a name="-nscd--group_negative_time_to_live"></a>`group_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live group in nscd.conf.

Default value: `60`

##### <a name="-nscd--group_persistent"></a>`group_persistent`

Data type: `Enum['yes', 'no']`

Settings for persistent group in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--group_positive_time_to_live"></a>`group_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live group in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--group_shared"></a>`group_shared`

Data type: `Enum['yes', 'no']`

Settings for shared group in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--group_suggested_size"></a>`group_suggested_size`

Data type: `Integer`

Settings for suggested-size group in nscd.conf.

Default value: `211`

##### <a name="-nscd--hosts_check_files"></a>`hosts_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files hosts in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--hosts_enable_cache"></a>`hosts_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache hosts in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--hosts_keep_hot_count"></a>`hosts_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count hosts in nscd.conf.

Default value: `2048`

##### <a name="-nscd--hosts_max_db_size"></a>`hosts_max_db_size`

Data type: `Integer`

Settings for max-db-size hosts in nscd.conf. Must be a number in bytes.

Default value: `33554432`

##### <a name="-nscd--hosts_negative_time_to_live"></a>`hosts_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live hosts in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--hosts_persistent"></a>`hosts_persistent`

Data type: `Enum['yes', 'no']`

Settings for persistent hosts in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--hosts_positive_time_to_live"></a>`hosts_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live hosts in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--hosts_shared"></a>`hosts_shared`

Data type: `Enum['yes', 'no']`

Settings for shared hosts in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--hosts_suggested_size"></a>`hosts_suggested_size`

Data type: `Integer`

Settings for suggested-size hosts in nscd.conf.

Default value: `211`

##### <a name="-nscd--ipnodes_check_files"></a>`ipnodes_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files ipnodes in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--ipnodes_enable_cache"></a>`ipnodes_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache ipnodes in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--ipnodes_keep_hot_count"></a>`ipnodes_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count ipnodes in nscd.conf.

Default value: `2048`

##### <a name="-nscd--ipnodes_negative_time_to_live"></a>`ipnodes_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live ipnodes in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--ipnodes_positive_time_to_live"></a>`ipnodes_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live ipnodes in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--logfile"></a>`logfile`

Data type: `Stdlib::Absolutepath`

Setting for logfile in nscd.conf. See nscd.conf(5).

Default value: `'/var/log/nscd.log'`

##### <a name="-nscd--max_threads"></a>`max_threads`

Data type: `Integer`

Setting for max-threads in nscd.conf. See nscd.conf(5).

Default value: `32`

##### <a name="-nscd--netgroup_check_files"></a>`netgroup_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files netgroup in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--netgroup_enable_cache"></a>`netgroup_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache netgroup in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--netgroup_max_db_size"></a>`netgroup_max_db_size`

Data type: `Integer`

Settings for max-db-size netgroup in nscd.conf. Must be a number in bytes.

Default value: `33554432`

##### <a name="-nscd--netgroup_negative_time_to_live"></a>`netgroup_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live netgroup in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--netgroup_persistent"></a>`netgroup_persistent`

Data type: `Enum['yes', 'no']`

Settings for persistent netgroup in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--netgroup_positive_time_to_live"></a>`netgroup_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live netgroup in nscd.conf. Must be a number in seconds.

Default value: `28800`

##### <a name="-nscd--netgroup_shared"></a>`netgroup_shared`

Data type: `Enum['yes', 'no']`

Settings for shared netgroup in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--netgroup_suggested_size"></a>`netgroup_suggested_size`

Data type: `Integer`

Settings for suggested-size netgroup in nscd.conf.

Default value: `211`

##### <a name="-nscd--netmasks_check_files"></a>`netmasks_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files netmasks in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--netmasks_enable_cache"></a>`netmasks_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache netmasks in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--netmasks_keep_hot_count"></a>`netmasks_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count netmasks in nscd.conf.

Default value: `2048`

##### <a name="-nscd--netmasks_negative_time_to_live"></a>`netmasks_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live netmasks in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--netmasks_positive_time_to_live"></a>`netmasks_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live netmasks in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--networks_check_files"></a>`networks_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files networks in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--networks_enable_cache"></a>`networks_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache networks in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--networks_keep_hot_count"></a>`networks_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count networks in nscd.conf.

Default value: `2048`

##### <a name="-nscd--networks_negative_time_to_live"></a>`networks_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live networks in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--networks_positive_time_to_live"></a>`networks_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live networks in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--package_adminfile"></a>`package_adminfile`

Data type: `Optional[Stdlib::Absolutepath]`

Solaris specific adminfile attribute of package resource.

Default value: `undef`

##### <a name="-nscd--package_ensure"></a>`package_ensure`

Data type: `Enum['present', 'installed', 'absent']`

Solaris specific source attribute of package resource.

Default value: `'present'`

##### <a name="-nscd--package_name"></a>`package_name`

Data type: `Array`

Array for name of package(s).

Default value: `['nscd']`

##### <a name="-nscd--package_source"></a>`package_source`

Data type: `Optional[Stdlib::Absolutepath]`

Solaris specific source attribute of package resource.

Default value: `undef`

##### <a name="-nscd--paranoia"></a>`paranoia`

Data type: `Enum['yes', 'no']`

Setting for paranoia in nscd.conf. See nscd.conf(5).

Default value: `'no'`

##### <a name="-nscd--passwd_auto_propagate"></a>`passwd_auto_propagate`

Data type: `Enum['yes', 'no']`

Settings for auto-propagate passwd in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--passwd_check_files"></a>`passwd_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files passwd in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--passwd_enable_cache"></a>`passwd_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache passwd in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--passwd_keep_hot_count"></a>`passwd_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count passwd in nscd.conf.

Default value: `2048`

##### <a name="-nscd--passwd_max_db_size"></a>`passwd_max_db_size`

Data type: `Integer`

Settings for max-db-size passwd in nscd.conf.

Default value: `33554432`

##### <a name="-nscd--passwd_negative_time_to_live"></a>`passwd_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live passwd in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--passwd_persistent"></a>`passwd_persistent`

Data type: `Enum['yes', 'no']`

Settings for persistent passwd in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--passwd_positive_time_to_live"></a>`passwd_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live passwd in nscd.conf. Must be a number in seconds.

Default value: `600`

##### <a name="-nscd--passwd_shared"></a>`passwd_shared`

Data type: `Enum['yes', 'no']`

Settings for shared passwd in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--passwd_suggested_size"></a>`passwd_suggested_size`

Data type: `Integer`

Settings for suggested-size passwd in nscd.conf.

Default value: `211`

##### <a name="-nscd--printers_check_files"></a>`printers_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files printers in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--printers_enable_cache"></a>`printers_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache printers in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--printers_keep_hot_count"></a>`printers_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count printers in nscd.conf.

Default value: `2048`

##### <a name="-nscd--printers_negative_time_to_live"></a>`printers_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live printers in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--printers_positive_time_to_live"></a>`printers_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live printers in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--prof_attr_check_files"></a>`prof_attr_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files prof_attr in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--prof_attr_enable_cache"></a>`prof_attr_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache prof_attr in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--prof_attr_keep_hot_count"></a>`prof_attr_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count prof_attr in nscd.conf.

Default value: `2048`

##### <a name="-nscd--prof_attr_negative_time_to_live"></a>`prof_attr_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live prof_attr in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--prof_attr_positive_time_to_live"></a>`prof_attr_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live prof_attr in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--project_check_files"></a>`project_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files project in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--project_enable_cache"></a>`project_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache project in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--project_keep_hot_count"></a>`project_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count project in nscd.conf.

Default value: `2048`

##### <a name="-nscd--project_negative_time_to_live"></a>`project_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live project in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--project_positive_time_to_live"></a>`project_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live project in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--protocols_check_files"></a>`protocols_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files protocols in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--protocols_enable_cache"></a>`protocols_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache protocols in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--protocols_keep_hot_count"></a>`protocols_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count protocols in nscd.conf.

Default value: `2048`

##### <a name="-nscd--protocols_negative_time_to_live"></a>`protocols_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live protocols in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--protocols_positive_time_to_live"></a>`protocols_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live protocols in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--reload_count"></a>`reload_count`

Data type: `Variant[Integer, Enum['unlimited']]`

Settings for reload-count in nscd.conf. See nscd.conf(5).

Default value: `5`

##### <a name="-nscd--restart_interval"></a>`restart_interval`

Data type: `Integer`

Setting for restart-interval in nscd.conf. See nscd.conf(5).

Default value: `3600`

##### <a name="-nscd--rpc_check_files"></a>`rpc_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files rpc in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--rpc_enable_cache"></a>`rpc_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache rpc in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--rpc_keep_hot_count"></a>`rpc_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count rpc in nscd.conf.

Default value: `2048`

##### <a name="-nscd--rpc_negative_time_to_live"></a>`rpc_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live rpc in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--rpc_positive_time_to_live"></a>`rpc_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live rpc in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--server_user"></a>`server_user`

Data type: `Optional[String[1]]`

Setting for server-user in nscd.conf. See nscd.conf(5).

Default value: `undef`

##### <a name="-nscd--service_enable"></a>`service_enable`

Data type: `Boolean`

Value of enable attribute of nscd service.
This determines if the service will start at boot or not.

Default value: `true`

##### <a name="-nscd--service_ensure"></a>`service_ensure`

Data type: `Stdlib::Ensure::Service`

Value of ensure attribute of nscd service.

Default value: `'running'`

##### <a name="-nscd--service_name"></a>`service_name`

Data type: `String[1]`

Name of service(s)

Default value: `'nscd'`

##### <a name="-nscd--service_provider"></a>`service_provider`

Data type: `Optional[String[1]]`

String for value of the provider attribute of nscd service.
Specifying here will allow you to change the platforms default.

Default value: `undef`

##### <a name="-nscd--services_check_files"></a>`services_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files services in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--services_enable_cache"></a>`services_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache services in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--services_keep_hot_count"></a>`services_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count services in nscd.conf.

Default value: `2048`

##### <a name="-nscd--services_max_db_size"></a>`services_max_db_size`

Data type: `Integer`

Settings for max-db-size servicess in nscd.conf. Must be a number in bytes.

Default value: `33554432`

##### <a name="-nscd--services_negative_time_to_live"></a>`services_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live services in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--services_persistent"></a>`services_persistent`

Data type: `Enum['yes', 'no']`

Settings for persistent services in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--services_positive_time_to_live"></a>`services_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live services in nscd.conf. Must be a number in seconds.

Default value: `28800`

##### <a name="-nscd--services_shared"></a>`services_shared`

Data type: `Enum['yes', 'no']`

Settings for shared services in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--services_suggested_size"></a>`services_suggested_size`

Data type: `Integer`

Settings for suggested-size services in nscd.conf.

Default value: `211`

##### <a name="-nscd--stat_user"></a>`stat_user`

Data type: `String[1]`

Setting for stat-user in nscd.conf. See nscd.conf(5).

Default value: `'root'`

##### <a name="-nscd--threads"></a>`threads`

Data type: `Integer`

Setting for threads in nscd.conf. See nscd.conf(5).

Default value: `5`

##### <a name="-nscd--tnrhdb_check_files"></a>`tnrhdb_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files tnrhdb in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--tnrhdb_enable_cache"></a>`tnrhdb_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache tnrhdb in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--tnrhdb_keep_hot_count"></a>`tnrhdb_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count tnrhdb in nscd.conf.

Default value: `2048`

##### <a name="-nscd--tnrhdb_negative_time_to_live"></a>`tnrhdb_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live tnrhdb in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--tnrhdb_positive_time_to_live"></a>`tnrhdb_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live tnrhdb in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--tnrhtp_check_files"></a>`tnrhtp_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files tnrhdb in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--tnrhtp_enable_cache"></a>`tnrhtp_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache tnrhdb in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--tnrhtp_keep_hot_count"></a>`tnrhtp_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count tnrhdb in nscd.conf.

Default value: `2048`

##### <a name="-nscd--tnrhtp_negative_time_to_live"></a>`tnrhtp_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live tnrhdb in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--tnrhtp_positive_time_to_live"></a>`tnrhtp_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live tnrhdb in nscd.conf. Must be a number in seconds.

Default value: `3600`

##### <a name="-nscd--user_attr_check_files"></a>`user_attr_check_files`

Data type: `Enum['yes', 'no']`

Settings for check-files user_attr in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--user_attr_enable_cache"></a>`user_attr_enable_cache`

Data type: `Enum['yes', 'no']`

Settings for enable-cache user_attr in nscd.conf.

Default value: `'yes'`

##### <a name="-nscd--user_attr_keep_hot_count"></a>`user_attr_keep_hot_count`

Data type: `Integer`

Settings for keep-hot-count user_attr in nscd.conf.

Default value: `2048`

##### <a name="-nscd--user_attr_negative_time_to_live"></a>`user_attr_negative_time_to_live`

Data type: `Integer`

Settings for negative-time-to-live user_attr in nscd.conf. Must be a number in seconds.

Default value: `20`

##### <a name="-nscd--user_attr_positive_time_to_live"></a>`user_attr_positive_time_to_live`

Data type: `Integer`

Settings for positive-time-to-live user_attr in nscd.conf. Must be a number in seconds.

Default value: `3600`

